#include "defines.h"
#include "oscrn.h"

int SClocate(int x,int y,unchar *work)
/* オフスクリーン：カーソル移動 */
{
SC_BUFF *scwork;
	if (SCcheck(work)) return(SCERR1);
	scwork=(SC_BUFF *)work;
	if (x<0||x>=scwork->wx||y<0||y>=scwork->wy) return(SCERR2);
	scwork->x=x;
	scwork->y=y;
	return(SCOK);
}
